<?php

QUnit_Global::includeClass('QUnit_UI_TemplatePage');
QUnit_Global::includeClass('Affiliate_PZone_Bl_Core');

class Affiliate_PZone_Views_MainPage extends QUnit_UI_TemplatePage
{

    public $bl_core;

    function Affiliate_PZone_Views_MainPage() {
        $this->bl_core = QUnit_Global::newObj('Affiliate_PZone_Bl_Core');
    }

    //------------------------------------------------------------------------

    function assignData() {
        $this->assign('a_title',$this->bl_core->getSiteName());
        $this->assign('a_logo',$this->bl_core->getSiteLogo());
        $this->assign('a_flashadsvar',$this->bl_core->getFlashAds2String());
        $this->assign('a_footer',$this->bl_core->getFooterHtml());

        $this->assign('a_core',$this->bl_core);
    }

    function process()
    {
        $this->assignData();
        $this->addContent('header');
        $this->addContent('mainpage');
        $this->addContent('footer');
    }

    //--------------------------------------------------------------------------

}
?>
